import { HighlightManager, type HighlightManagerOptions, type HighlightHandlers, type Highlight } from "./HighlightManager.js";
import { type DomAnchor } from "./anchors/index.js";
export type PdfJsAnchorHighlightManagerOptions<Data> = Omit<HighlightManagerOptions<DomAnchor, Data>, "getRangesFromAnchor">;
/** A HighlightManager customized for PDF.js pages. */
export declare class PdfJsAnchorHighlightManager<Data> extends HighlightManager<DomAnchor, Data> {
    private scrollToPagePromiseTimeoutMs;
    private checkFocusHighlightElements;
    constructor(options: PdfJsAnchorHighlightManagerOptions<Data>);
    private untilHighlightHasElements;
    private scrollToHighlight;
    private updateHighlightsWhenPdfViewUpdates;
    createHighlightFromCurrentSelection(data: Data, handlers?: HighlightHandlers<Data>): Highlight<DomAnchor, Data>;
    createHighlightFromSelection(selection: Selection, data: Data, handlers?: HighlightHandlers<Data>): Highlight<DomAnchor, Data>;
    createHighlightFromRange(range: Range, data: Data, handlers?: HighlightHandlers<Data>): Highlight<DomAnchor, Data>;
}
